use crate::client::{MediaResult as Result, Navidrome, QualifyPath};
use crate::models::generic::Playlist;
use crate::models::navidrome::{NavidromePlaylist, NavidromeTrack};
use async_trait::async_trait;

#[async_trait]
pub trait Library {
    async fn tracks(&self) -> Result<Vec<NavidromeTrack>>;
}

#[async_trait]
impl Library for Navidrome {
    async fn tracks(&self) -> Result<Vec<NavidromeTrack>> {
        self.http
            .get(self.path("api/song"))
            .header("X-Nd-Authorization", format!("Bearer {}", self.token))
            .send()
            .await?
            .json::<Vec<NavidromeTrack>>()
            .await
    }
}
