use std::fmt::Display;

pub mod builder;
pub mod library;
pub mod playlists;

trait QualifyPath {
    fn path(&self, path: impl Display) -> String;
}

pub type MediaResult<U> = Result<U, reqwest::Error>;

pub struct Navidrome {
    base: String,
    http: reqwest::Client,
    token: String,
}

impl QualifyPath for Navidrome {
    fn path(&self, path: impl Display) -> String {
        format!("{}/{}", self.base, path)
    }
}
